Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.common.math
Class MeasurementFactory

    java.lang.Object
      lbg.common.math.MeasurementFactory

    public abstract class MeasurementFactory

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`MeasurementFactory()`

Method Summary
`static Measurement` | `createDescriptiveMeasurement(java.lang.String label)` Creates a new DescriptiveMeasurement.
`static Measurement` | `createDescriptiveMeasurement(java.lang.String label, int ws)` Creates a new DescriptiveMeasurement.
`static Measurement` | `createSummarizedMeasurement(java.lang.String label)` Creates a new SummarizedMeasurement.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeasurementFactory

    public MeasurementFactory()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createDescriptiveMeasurement

    public static Measurement createDescriptiveMeasurement(java.lang.String label)
                                                    throws GridException

  Creates a new DescriptiveMeasurement.

  Parameters:
    `label` - measurement label
  Throws:
    `GridException` - if a parameter is illegal

### createDescriptiveMeasurement

    public static Measurement createDescriptiveMeasurement(java.lang.String label,
                                                           int ws)
                                                    throws GridException

  Creates a new DescriptiveMeasurement.

  Parameters:
    `label` - measurement label
    `ws` - window size
  Throws:
    `GridException` - if a parameter is illegal

### createSummarizedMeasurement

    public static Measurement createSummarizedMeasurement(java.lang.String label)
                                                   throws GridException

  Creates a new SummarizedMeasurement.

  Parameters:
    `label` - measurement label
  Throws:
    `GridException` - if a parameter is illegal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.